Subject: Re: [PATCH] gitweb: simplify gitweb.min.* generation and clean-up rules

From: Mark Rada <[email-masked]>
Date: Thu, 15 Apr 2010 00:11:40 -0400

On 10-04-14 11:37 PM, Mark Rada wrote:
> GITWEB_CSS and GITWEB_JS are meant to be "what URI should the installed
> cgi script use to refer to the stylesheet and JavaScript", never "this
> is the name of the file we are building".
> 
> Lose incorrect assignment to them.
> 
> While we are at it, lose FILES that is used only for "clean" target in a
> misguided way.  "make clean" should try to remove all the potential
> build artifacts regardless of a minor configuration change.  Instead of
> trying to remove only the build product "make clean" would have created
> if it were run without "clean", explicitly list the three potential build
> products for removal.
> 
> In addition, this patch tries to make sure that the scripts are
> regenerated whenever the replacement variables are modified.  For a good
> measure, if you used different JSMIN/CSSMIN since the last time you
> produced minified version of these files, they are regenerated.
> 
> Signed-off-by: Junio C Hamano <[email-masked]>
> Tested-by: Mark Rada <[email-masked]>
> 
> 
> ---
> 
> I gave this a test run:
> 	With just jsmin enabled
> 	With just cssmin enabled
> 	With neither enabled
> 	With both enabled
> 	Overriding GITWEB_JS
> 	Overriding GITWEB_JS and jsmin enabled

I should have mentioned that this these were done successively, without running
`make clean', and using the autoconfigure script to set JSMIN/CSSMIN.

-- 
Mark Rada